/*
 * This file is part of the Docs project.
 * 2013 - 2016 / RENATER
 */
* {		/* Proportional fonts */
    font-family: 'LatoWeb', Helvetica, sans-serif;
    font-size: 1rem;
}

/* Prevent content moving when vertical scroll appears */
html {
    overflow-x: hidden;
    margin-right: calc(-1 * (100vw - 100%));
}

body {
    color: #304c6f;;
    font-family: 'LatoWeb', Helvetica, sans-serif;
    display: table;
    width: 100%;
    position: relative;
    background-color: #FBC102;
}

main {
    margin-bottom: 7rem;
    text-align:left;
}

[data-action]:hover {
    font-weight: normal;
}

main[data-page="home"] article.disclamer p, main[data-page="home"] article h1{
    font-family: "foobar_proregular", Arial, sans-serif;
    text-align: center;
}
main[data-page="home"] article:first-child.disclamer p:nth-child(1) {
    font-size:1.5rem;
}
main[data-page="home"] article:first-child.disclamer p:nth-child(2){
    font-size:0.9rem;
}
main[data-page="home"] article:last-child.disclamer p:nth-child(1){
    font-size:1.2rem;
}

/**
 * Main navigation buttons
 */
main nav{
    height:auto;
    margin-top:1rem;
    background-color: transparent;
}
main nav li {
     transition: all 0.3s;
}
main nav li:hover {
      transform: scale(1.10);
}
main[data-page="home"] nav li {
       margin-bottom: 1.5rem;
}
main nav li a {
    display:inline;
}
main nav li a label{
    cursor: pointer;
    color: #304c6f;
    font-size: 1.1rem;
    font-weight: bold;
    font-variant: all-small-caps;
    text-decoration:underline;
    margin-top: 0.2rem;
}
main nav li a:hover label{
    text-decoration:none;
    color: #304c6f;
}
main nav li a,main nav li a:hover {
    position: relative;
    background-image: none;
}
main nav li a span{
    display:block;
    width:70px;
    height:70px;
    margin: 0 auto;
    border:3px solid #6c79b8;
    background-color: #6c79b8;
    box-shadow: -1px 2px 5px 1px rgba(0, 0, 0, 0.5);
    -webkit-border-radius: 0.3rem;
    -moz-border-radius: 0.3rem;
    border-radius: 0.3rem;
    transition: border 300ms ease-in;
}
main[data-page="home"] nav li a span{
    width:110px;
    height:110px;
}
main[data-page="home"] nav li a span img{
    width: 70px;
    margin-top:20px;
}
main nav li a:hover span{
    border:3px solid #304c6f;
}
main[data-page="home"] nav li a:hover span{
    border:5px solid #304c6f;
}
main nav li a span img{
    margin-top:10px;
    width: 44px;
    margin-left: 8px;
}
main nav li a.selected label{
    color: #304c6f;
    text-decoration:none;
}
main nav li a.selected span{
    border:3px solid #304c6f;
}

/* Background */
.background {
    display: block;
    position: fixed;
    width: 100vw;
    height: 100vh;
    padding: 0;
    margin: 0;
    background-image: url('../images/background2.jpg');
    background-repeat: no-repeat;
    background-attachment: fixed;
    /*background-size: cover;*/
    -webkit-filter: opacity(0.9);
    -moz-filter: opacity(0.9);
    -o-filter: opacity(0.9);
    -ms-filter: opacity(0.9);
    filter: opacity(0.9);
    z-index: -1;
}

/* Titles */
h1, h2, h3, h4, h5, h6 {
    font-family: LatoWeb, Helvetica, sans-serif;
    font-weight:bold;
}
h2, h3, h4, h5, h6 {
    margin: 0.67em 0 0.4em 0;
}

/* Links */
a {
    color: #304c6f;
}
a:hover {
    color: #304c6f;
}
.column.nopadding, .columns.nopadding{
    padding-left:0;
    padding-right:0;
}
.column.nopadding, .columns.nopadding-right{
    padding-right:0;
}
.column.nopadding, .columns.nopadding-left{
    padding-right:0;
}
.page-title{
    margin-top: 1rem;
    margin-bottom:0.75rem;
    padding: 0.5rem 1rem;
    color: #fff;
    background-color: #6b78b9;
    font-size: 0.85rem;
    text-transform: uppercase;
    font-family: 'LatoWeb', Helvetica, sans-serif;;
    font-weight:bold;
    box-shadow: 0px 10px 20px 0px rgba(1, 1, 1, 0.6);
}
nav ~ h4.page-title{
    margin-top: 0.5rem;
}
.page-title small{
    color: #fff;
    font-size: 0.85rem;
    text-transform: none;
}

/* Various classes */
.margin-top {
    margin-top: 1rem!important;
}
.margin-bottom {
    margin-bottom: 1rem!important;
}
.margin-left {
    margin-left: 1rem!important;
}
.margin-right {
    margin-right: 1rem!important;
}
.padding-top {
    padding-top: 1rem!important;
}
.padding-bottom {
    padding-bottom: 1rem!important;
}
.padding-left {
    padding-left: 1rem!important;
}
.padding-right {
    padding-right: 1rem!important;
}
.bold{
    font-weight:bold;
}
.italic{
    font-style: italic;
}

/* Buttons */
button {
    cursor: pointer;
}
.button {
    position: relative;
    overflow: hidden;
    padding: 0.85em 2em!important;
    border: none;
    background-color: #304d6e;
    font-family: 'LatoWeb', Helvetica, sans-serif;
    font-weight: bold!important;
    font-style: normal;
    text-decoration: none!important;
    color: #fff;
    cursor: pointer;
    border-radius: 50px;
    transition: clip-path 1s ease-in-out;
    z-index: 0;
}
.button:hover, .button:focus {
    background-image: none;
    background-color: #304d6e;
    border: none;
}
.button:before {
    content: '';
    background: rgba(255, 255, 255, .2);
    height: 100%;
    width: 100%;
    z-index: -1;
    filter: blur(1px);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    clip-path: circle(0% at 50% 50%);
    transition: 1s;
}
.button:hover:before,
.button:focus:before {
    clip-path: circle(100% at 50% 50%);
}
.button:after {
    content: '';
    background: inherit;
    height: 50%;
    width: 100%;
    z-index: -1;
    position: absolute;
    bottom: 0;
    left: 0;
    clip-path: inset(100% 0% 0% 0% );
    transition: 1s .4s

}
.button.disabled,
.button.disabled:focus,
.button.disabled:hover,
.button[disabled],
.button[disabled]:focus,
.button[disabled]:hover {
    background-color: #ddd;
    color: #333;
}
[type="button"],
[type="submit"] {
    border-radius: 50px;
}
.button.square{
    border-radius: 3px;
}
.button.highlight {
    background-color: #64489e;
}

.button-group > .button {
    margin-right: 1px!important;
    margin-bottom: 1px!important;
    margin-left:0!important;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
}
.button-group > .button:first-child, .button-group > .button:nth-child(2) {
    border-radius: 50px 0px 0px 50px;
}
.button-group > .button:last-child, .button-group > .button:nth-child(5) {
    border-radius: 0 50px 50px 0;
}

.survey_title{
    padding: 0;
    color: #6b78b9;
    text-transform: uppercase;
    font-family: 'LatoWeb', Helvetica, sans-serif;
    font-weight:bold;
}

.survey_title span{
    text-transform: none;
    font-size: 0.85rem;
    font-weight: normal;
}
.survey-description {
    font-size:1rem;
    color:#304c6f;
    margin:0;
    padding:0;
    line-height: 1.2;
}

.survey-description p {
    margin:0.3rem auto!important;
}

.survey-description ul, .survey-description ol {
    margin-left:2rem;
}

/* design of tooltips*/
.tooltip {
    background-color: #fff0c6;
    color: #304c6f;
    font-size: 100%;
    max-width: 20rem !important;
    border-radius: 3px;
    text-align:left;
    box-shadow: 0px 5px 20px 0px rgba(1, 1, 1, 0.6);
    z-index: 100000;
}

.tooltip::before {
    border-color: transparent transparent #fff0c6;
}
.tooltip.top::before {
    border-color: #fff0c6 transparent transparent;
}
.tooltip.left::before {
    border-color: transparent transparent transparent #fff0c6;
}
.tooltip.right::before {
    border-color: transparent #fff0c6 transparent transparent;
}
.tooltip ul{
    margin-left: 1.5rem;
}

/* RENATER Class Added for Foundation CallOut*/
.callout{
    font-size: 0.85rem;
    margin-top:1rem;
}
.callout p{
    margin:0 auto;
}
.callout h1, .callout h2, .callout h3, .callout h4, .callout h5{
    margin:0.2rem auto;
}
.callout.primary{
    color: #004085;
    background-color: #cce5ff;
    border-color: #b8daff;
}
.callout.error, .callout.alert{
    color:#721c24;
    background-color:#f8d7da;
    border-color:#f5c6cb;
}
.callout.success {
    color:#155724;
    background-color:#d4edda;
    border-color:#c3e6cb;
}
.callout.warning {
    color: #856404;
    background-color: #fff3cd;
    border-color:#ffeeba;
}
.callout ul{
    margin-left:1.25rem;
}

/* Foundation reveals*/
.reveal{
    padding:2rem;
    color:#2d3d54;
    text-align:center;
}
.reveal h1 {
    font-size: 1.5rem;
    text-align: center;
    color: #6b78b9;
}
.reveal h2{
    font-size: 1.1rem;
    text-align:center;
    text-transform: uppercase;
    color:#6b78b9;
}
.reveal .button {
    background-color: #64489e;
}
.reveal .highlight {
    background-color: #64489e;
}

/* Foundation Label */
.label.secondary{
    background-color:#767676;
    color: #fefefe;
}
#notifications {
    position: fixed;
    left:50%;
    margin-left:-20%;
    top: 87%;
    width:40%;
    transform: translate(0, 0);
    z-index: 25!important;
}
#notifications .notification {
    background-position: 0.8em 50%;
    background-repeat: no-repeat;
    padding-top: 0.5rem;
    padding-right: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 32px;
    margin: 1em;
    border: 1px solid rgba(10, 10, 10, 0.25);
    border-radius: 3px;
    box-shadow: 1px 5px 15px 1px rgba(1, 1, 1, 0.8);
}
#notifications .notification.error {
    background-color: #fcd6d6;
    border-color:rgba(10, 10, 10, 0.25);
}
#notifications .notification.warning {
    background-color: #fff3d9;
    border-color:rgba(10, 10, 10, 0.25);
}
#notifications .notification.info {
    background-color: #def2f8;
    border-color:rgba(10, 10, 10, 0.25);
}
#notifications .notification.success {
    background-color: #e6f7d9;
    border-color:rgba(10, 10, 10, 0.25);
}

[data-component="legal"], [data-component="404"],
[data-component="access-denied"], [data-component="logout"],
[data-component="login"], [data-component="faq"],
[data-component="guide"], [data-component="admin"],
[data-component="survey-wizard"]  [data-container="steps"]
{
    padding: 0.5rem 2rem 2rem 2rem;
    background-color: rgba(255,255,255,0.9);
    box-shadow: 0px 10px 20px 0px rgba(1, 1, 1, 0.6);
    margin-top:1rem;
}

[data-page="user_guide"] [data-component="guide"] {
    margin-top: 1rem;
}
[data-page="user_guide"] nav.row ~ [data-component="guide"],
[data-page] nav.row ~ [data-component="legal"],
[data-page] nav.row ~ [data-component="404"],
[data-page] nav.row ~ [data-component="access-denied"],
[data-page] nav.row ~ [data-component="logout"],
[data-page] nav.row ~ [data-component="login"]{
    margin-top: 0!important;
}

[data-component="login"] .login_container {
    margin-top: 1rem;
}

[data-page="user_guide"] [data-component="guide"] ul, [data-page="user_guide"] [data-component="guide"] ol,
[data-page="terms"] ul, [data-page="terms"] ol {
    margin-left: 4rem;
}

[data-page="user_guide"] [data-component="guide"] ul, [data-page="terms"] ul {
    list-style: circle;
}

[data-page="terms"] h1 {
    font-size: 2rem;
    font-weight: bold;
    text-align: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

[data-component="faq"] .accordion-title {
    font-size: 1rem;
}

.error_http{
    margin: 2rem 0 1rem 0;
    padding: 2.5rem;
    border: 1px solid #6b78b9;
    border-radius: 3px;
    position: relative;
    color: #6b78b9;
    background-color: transparent;
}
.error_http img{
    max-width:40%;
}
.error_http .message{
    font-size:1.3rem;
    font-family:LatoWeb, sans-serif;
    font-style: italic;
}

label + i, label + span.fa,
label i, label span.fa,
h1 + i, h1 + span.fa,
h1 i, h1 span.fa {
    margin-top: -0.4rem;
    font-size:1.2rem!important;
    color:#6b79b8;
    -webkit-transition: all 0.25s ease-in;
    -moz-transition: all 0.25s ease-in;
    -o-transition: all 0.25s ease-in;
    -ms-transition: all 0.25s ease-in;
    transition: all 0.25s ease-in;
}
label + i:hover, label + span.fa:hover,
label i:hover, label span.fa:hover,
h1 + i:hover, h1 + span.fa:hover,
h1 i:hover, h1 span.fa:hover {
    cursor:pointer;
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -o-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2);
}

.accept_terms_container{
    margin-bottom: 1rem;
    margin-top:1rem;
}
table tfoot {
    color: inherit;
}

table tfoot td {
    font-weight: normal;
}

.more{
    font-family: LatoWeb, sans-serif;
    font-style: italic;
    color:#263548;
}

.fa {
    font-family: FontAwesome !important;
}

.scroll-top-wrapper {
    position: fixed;
    opacity: 0;
    visibility: hidden;
    overflow: hidden;
    text-align: center;
    z-index: 99999999;
    background-color: #304c6f;
    color: #eeeeee;
    width: 50px;
    height: 50px;
    line-height: 50px;
    right: 30px;
    bottom: 30px;
    padding-top: 0px;
    border-radius: 50%;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
}
.scroll-top-wrapper.show {
    visibility: visible;
    cursor: pointer;
    opacity: 1.0;
}
.scroll-top-wrapper:hover {
    background-color:
            #263548;
}

.xdsoft_datetimepicker .xdsoft_year {
    width: 51px;
}

.is-invalid-input:not(:focus) {
    background-color: rgba(198, 15, 19, 0.1) !important;
    border: 2px solid #c60f13 !important;
}


/*overlay and loader*/
.blockUI.blockOverlay{
    background-color: rgb(100,72,158)!important;
    z-index: 10007!important;
}
.blockUI.blockMsg.blockPage{
    top: calc(50% - 55px)!important;
    padding: 25px!important;
    border-radius: 50px!important;
    opacity: 1!important;
    font-size: 1rem!important;
    border: 5px solid #64489e!important;
    color: #64489e!important;
    z-index: 10008!important;
}


/* Small screens */

/* Define mobile styles */

/* max-width 450px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 28em){
    main[data-page="home"] > article {
        display: block;
    }
    main[data-page="home"] article h1{
        font-size: 1.3rem;
    }
    main[data-page="home"] article:last-child.disclamer p:nth-child(1){
        font-size:1rem;
    }

}
/* max-width 640px, mobile-only styles, use when QAing mobile issues */
@media only screen and (max-width: 40em) {
    main {
        margin-bottom: 5rem!important;
    }
    .reveal{
        padding:1rem;
    }
    .reveal h1 {
        font-size: 1.1rem;
    }
    .reveal h2{
        font-size: 1rem;
    }
    .survey_title{
        font-size:small;
    }

}
/* min-width 641px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 40.063em) and (max-width: 64em) {
    main {
        margin-bottom: 7rem!important;
    }
}

/* min-width 641px and max-width 800px, use when QAing tablet-only issues */
@media only screen and (min-width: 641px) and (max-width: 800px) {
    .row{
        max-width:42.5rem;
    }
}

/* min-width 801px and max-width 1024px, use when QAing tablet-only issues */
@media only screen and (min-width: 801px) and (max-width: 1024px) {
    .row{
        max-width:52.5rem;
    }
}

/* min-width 1184px and max-width 1440px, use when QAing large screen-only issues */
@media only screen and (min-width: 74em) and (max-width: 90em) {
    .row{
        max-width:70rem;
    }
}

/* min-width 1441px and max-width 1920px, use when QAing xlarge screen-only issues */
@media only screen and (min-width: 90.063em) and (max-width: 120em) {
    .row{
        max-width:80rem;
    }
}
/* min-width 1441px and max-width 1920px, use when QAing xlarge screen-only issues */
@media only screen and (min-width: 120em) {
    .row{
        max-width:95rem;
    }
}
/* min-width 1441px and max-width 1920px, use when QAing xlarge screen-only issues */
@media only screen and (min-width: 2001px) {
    /* Background */
    .background {
        background-image: url('../images/backgroundxl.jpg');
    }
}
